4 Replies Latest reply: May 23, 2012 7:37 AM by 938208 RSS

    Compatible tomcat version for Directory server 6.3

    938208
      Dear All,

      Could someone please tell me which version of Tomcat will be the compatible for Directory Server 6.3. And i am new to this directory server environment, here i need to install tomcat too so kindly send me the steps for installing tomcat. Thanks!

      Regards,
      Karthik
        • 1. Re: Compatible tomcat version for Directory server 6.3
          Marco Milo-Oracle
          Hi,
          according to the official product documentation, the supported web containers to deploy the DSCC are:

          http://docs.oracle.com/cd/E19261-01/820-2761/install-dscc-zip/index.html

          HTH,
          marco
          • 2. Re: Compatible tomcat version for Directory server 6.3
            938208
            Thanks for your info!

            But it seems like the tomcat 5.5 life is going to end in 30th September 2012, kindly refer "http://tomcat.apache.org/tomcat-55-eol.html" that is why i having this confusion of which version of tomcat will be preferable. Thanks!

            Karthik
            • 3. Re: Compatible tomcat version for Directory server 6.3
              Marco Milo-Oracle
              Hi Karthik,
              Directory Server 6.3 Control Center has been released many years ago, so it has been certified (so this means that IT IS OFFICIALLY SUPPORTED) on the most common application servers at that time, so Tomcat 5.5 and Sun App Server 8.2.

              Personally I've run the DSCC also on the latest releases of Tomcat (6.0.35 at the time of writing) and Glassfish (2.1.1 series) for test deployments absolutely fine; but in case of issues, if you want your solution to be 'officially supported' by Oracle, you've got to reproduce the problem on the supported app servers in the compatibility matrix.

              HTH,
              marco

              P.S.: also Directory Server 6.3 is getting older and older... at least try to get the latest patch: 6.3.1.1.1

              http://docs.oracle.com/cd/E19261-01/E26994/html/index.html

              The latest release is now 11.1.1.5.0 if you don't have any architectural/sw compatibility constraint, try to move/migrate to a more recent release
              • 4. Re: Compatible tomcat version for Directory server 6.3
                938208
                Thanks a lot Marco! but upgrading to the latest version i need to discuss with my team... let me see...thanks again!